View Issue Details

IDProjectCategoryView StatusLast Update
0000407FreeCADBugpublic2011-07-28 07:05
ReporterwmayerAssigned ToJriegel 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Versiontrunk 
Target VersionFixed in Version0.12 
Summary0000407: Robot module doesn't compile with Eigen3
DescriptionScanning dependencies of target Robot
[ 80%] Building CXX object src/Mod/Robot/App/CMakeFiles/Robot.dir/kdl_cp/rotationalinertia.cpp.o
/home/werner/Projects/FreeCAD/src/Mod/Robot/App/kdl_cp/rotationalinertia.cpp: In member function ‘KDL::Vector KDL::RotationalInertia::operator*(const KDL::Vector&) const’:
/home/werner/Projects/FreeCAD/src/Mod/Robot/App/kdl_cp/rotationalinertia.cpp:46: error: invalid conversion from ‘const double*’ to ‘double*’
/home/werner/Projects/FreeCAD/src/Mod/Robot/App/kdl_cp/rotationalinertia.cpp:46: error: initializing argument 1 of ‘Eigen::Map<MatrixType, MapOptions, StrideType>::Map(typename Eigen::MapBase<Eigen::Map<PlainObjectType, MapOptions, StrideType>, (Eigen::internal::accessors_level::has_write_access ? (Eigen::AccessorLevels)1u : (Eigen::AccessorLevels)0u)>::PointerType, const StrideType&) [with PlainObjectType = Eigen::Matrix<double, 3, 3, 0, 3, 3>, int MapOptions = 0, StrideType = Eigen::Stride<0, 0>]’
/home/werner/Projects/FreeCAD/src/Mod/Robot/App/kdl_cp/rotationalinertia.cpp:46: error: invalid conversion from ‘const double*’ to ‘double*’
/home/werner/Projects/FreeCAD/src/Mod/Robot/App/kdl_cp/rotationalinertia.cpp:46: error: initializing argument 1 of ‘Eigen::Map<MatrixType, MapOptions, StrideType>::Map(typename Eigen::MapBase<Eigen::Map<PlainObjectType, MapOptions, StrideType>, (Eigen::internal::accessors_level::has_write_access ? (Eigen::AccessorLevels)1u : (Eigen::AccessorLevels)0u)>::PointerType, const StrideType&) [with PlainObjectType = Eigen::Matrix<double, 3, 1, 0, 3, 1>, int MapOptions = 0, StrideType = Eigen::Stride<0, 0>]’
/home/werner/Projects/FreeCAD/src/Mod/Robot/App/kdl_cp/rotationalinertia.cpp: In function ‘KDL::RotationalInertia KDL::operator*(double, const KDL::RotationalInertia&)’:
/home/werner/Projects/FreeCAD/src/Mod/Robot/App/kdl_cp/rotationalinertia.cpp:52: error: invalid conversion from ‘const double*’ to ‘double*’
/home/werner/Projects/FreeCAD/src/Mod/Robot/App/kdl_cp/rotationalinertia.cpp:52: error: initializing argument 1 of ‘Eigen::Map<MatrixType, MapOptions, StrideType>::Map(typename Eigen::MapBase<Eigen::Map<PlainObjectType, MapOptions, StrideType>, (Eigen::internal::accessors_level::has_write_access ? (Eigen::AccessorLevels)1u : (Eigen::AccessorLevels)0u)>::PointerType, const StrideType&) [with PlainObjectType = Eigen::Matrix<double, 3, 3, 0, 3, 3>, int MapOptions = 0, StrideType = Eigen::Stride<0, 0>]’
/home/werner/Projects/FreeCAD/src/Mod/Robot/App/kdl_cp/rotationalinertia.cpp: In function ‘KDL::RotationalInertia KDL::operator+(const KDL::RotationalInertia&, const KDL::RotationalInertia&)’:
/home/werner/Projects/FreeCAD/src/Mod/Robot/App/kdl_cp/rotationalinertia.cpp:58: error: invalid conversion from ‘const double*’ to ‘double*’
/home/werner/Projects/FreeCAD/src/Mod/Robot/App/kdl_cp/rotationalinertia.cpp:58: error: initializing argument 1 of ‘Eigen::Map<MatrixType, MapOptions, StrideType>::Map(typename Eigen::MapBase<Eigen::Map<PlainObjectType, MapOptions, StrideType>, (Eigen::internal::accessors_level::has_write_access ? (Eigen::AccessorLevels)1u : (Eigen::AccessorLevels)0u)>::PointerType, const StrideType&) [with PlainObjectType = Eigen::Matrix<double, 3, 3, 0, 3, 3>, int MapOptions = 0, StrideType = Eigen::Stride<0, 0>]’
/home/werner/Projects/FreeCAD/src/Mod/Robot/App/kdl_cp/rotationalinertia.cpp:58: error: invalid conversion from ‘const double*’ to ‘double*’
/home/werner/Projects/FreeCAD/src/Mod/Robot/App/kdl_cp/rotationalinertia.cpp:58: error: initializing argument 1 of ‘Eigen::Map<MatrixType, MapOptions, StrideType>::Map(typename Eigen::MapBase<Eigen::Map<PlainObjectType, MapOptions, StrideType>, (Eigen::internal::accessors_level::has_write_access ? (Eigen::AccessorLevels)1u : (Eigen::AccessorLevels)0u)>::PointerType, const StrideType&) [with PlainObjectType = Eigen::Matrix<double, 3, 3, 0, 3, 3>, int MapOptions = 0, StrideType = Eigen::Stride<0, 0>]’
make[2]: *** [src/Mod/Robot/App/CMakeFiles/Robot.dir/kdl_cp/rotationalinertia.cpp.o] Fehler 1
make[1]: *** [src/Mod/Robot/App/CMakeFiles/Robot.dir/all] Fehler 2
make: *** [all] Fehler 2
werner@Athene:~/Projects/FreeCAD/_cmake$
TagsNo tags attached.

Activities

wmayer

2011-07-26 11:18

administrator   ~0000945

On Windows it doesn't work either:

1>------ Build started: Project: Robot, Configuration: Debug x64 ------
1>Compiling...
1>svd_eigen_HH.cpp
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities\svd_eigen_HH.hpp(31) : error C4430: missing type specifier - int assumed. Note: C++ does not support default-int
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities\svd_eigen_HH.hpp(70) : error C4430: missing type specifier - int assumed. Note: C++ does not support default-int
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities\svd_eigen_HH.hpp(70) : error C2143: syntax error : missing ',' before '&'
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(26) : error C4430: missing type specifier - int assumed. Note: C++ does not support default-int
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(26) : error C2143: syntax error : missing ',' before '&'
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(29) : error C2065: 'A' : undeclared identifier
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(29) : error C2228: left of '.rows' must have class/struct/union
1> type is ''unknown-type''
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(30) : error C2065: 'A' : undeclared identifier
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(30) : error C2228: left of '.cols' must have class/struct/union
1> type is ''unknown-type''
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(32) : error C2065: 'U' : undeclared identifier
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(32) : error C2228: left of '.setZero' must have class/struct/union
1> type is ''unknown-type''
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(33) : error C2065: 'U' : undeclared identifier
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(33) : error C2228: left of '.corner' must have class/struct/union
1> type is ''unknown-type''
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(33) : error C2065: 'A' : undeclared identifier
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(43) : error C3861: 'tmp': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(47) : error C3861: 'U': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(48) : error C2065: 'epsilon' : undeclared identifier
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(52) : error C3861: 'U': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(53) : error C3861: 'U': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(53) : error C3861: 'U': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(55) : error C3861: 'U': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(59) : error C3861: 'U': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(62) : error C3861: 'U': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(62) : error C3861: 'U': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(66) : error C3861: 'U': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(66) : error C3861: 'U': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(68) : error C3861: 'U': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(72) : error C3861: 'S': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(76) : error C3861: 'U': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(77) : error C2065: 'epsilon' : undeclared identifier
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(79) : error C3861: 'U': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(80) : error C3861: 'U': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(80) : error C3861: 'U': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(82) : error C3861: 'U': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(86) : error C3861: 'U': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(88) : error C3861: 'tmp': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(88) : error C3861: 'U': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(90) : error C3861: 'U': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(90) : error C3861: 'U': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(91) : error C3861: 'U': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(91) : error C3861: 'tmp': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(93) : error C3861: 'U': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(96) : warning C4800: 'double' : forcing value to bool 'true' or 'false' (performance warning)
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(97) : error C3861: 'S': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(97) : error C3861: 'tmp': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(103) : error C2065: 'epsilon' : undeclared identifier
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(104) : error C3861: 'U': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(105) : error C3861: 'V': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(105) : error C3861: 'U': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(105) : error C3861: 'U': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(107) : error C3861: 'U': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(107) : error C3861: 'V': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(108) : error C3861: 'V': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(108) : error C3861: 'V': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(111) : error C3861: 'V': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(111) : error C3861: 'V': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(113) : error C3861: 'V': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(114) : error C3861: 'tmp': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(120) : error C3861: 'S': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(121) : error C3861: 'U': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(122) : error C2065: 'epsilon' : undeclared identifier
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(125) : error C3861: 'U': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(125) : error C3861: 'U': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(126) : error C3861: 'U': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(127) : error C3861: 'U': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(128) : error C3861: 'U': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(128) : error C3861: 'U': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(130) : error C3861: 'U': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(132) : error C3861: 'U': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(134) : error C3861: 'U': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(139) : error C2065: 'maxiter' : undeclared identifier
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(143) : error C3861: 'tmp': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(147) : error C3861: 'S': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(153) : error C3861: 'tmp': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(154) : error C3861: 'tmp': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(154) : error C3861: 'tmp': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(156) : error C3861: 'S': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(158) : error C3861: 'S': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(164) : error C3861: 'U': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(165) : error C3861: 'U': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(166) : error C3861: 'U': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(167) : error C3861: 'U': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(171) : error C3861: 'S': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(175) : error C3861: 'S': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(176) : error C3861: 'V': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(176) : error C3861: 'V': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(181) : error C3861: 'S': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(183) : error C3861: 'S': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(184) : error C3861: 'tmp': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(185) : error C3861: 'tmp': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(198) : error C3861: 'tmp': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(199) : error C3861: 'S': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(203) : error C3861: 'tmp': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(212) : error C3861: 'V': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(213) : error C3861: 'V': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(214) : error C3861: 'V': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(215) : error C3861: 'V': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(218) : error C3861: 'S': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(220) : error C2065: 'epsilon' : undeclared identifier
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(228) : error C3861: 'U': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(229) : error C3861: 'U': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(230) : error C3861: 'U': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(231) : error C3861: 'U': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(234) : error C3861: 'tmp': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\utilities\svd_eigen_HH.cpp(234) : fatal error C1003: error count exceeds 100; stopping compilation
1>treeiksolvervel_wdls.cpp
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\treeiksolvervel_wdls.hpp(17) : error C4430: missing type specifier - int assumed. Note: C++ does not support default-int
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\treeiksolvervel_wdls.hpp(48) : error C4430: missing type specifier - int assumed. Note: C++ does not support default-int
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\treeiksolvervel_wdls.hpp(48) : error C2143: syntax error : missing ',' before '&'
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\treeiksolvervel_wdls.hpp(49) : error C4430: missing type specifier - int assumed. Note: C++ does not support default-int
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\treeiksolvervel_wdls.hpp(49) : error C2143: syntax error : missing ';' before '&'
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\treeiksolvervel_wdls.hpp(49) : error C4430: missing type specifier - int assumed. Note: C++ does not support default-int
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\treeiksolvervel_wdls.hpp(49) : warning C4183: 'getWeightJS': missing return type; assumed to be a member function returning 'int'
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\treeiksolvervel_wdls.hpp(74) : error C2327: 'KDL::TreeIkSolverVel_wdls::MatrixXd' : is not a type name, static, or enumerator
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\treeiksolvervel_wdls.hpp(74) : error C4430: missing type specifier - int assumed. Note: C++ does not support default-int
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\treeiksolvervel_wdls.hpp(74) : error C2143: syntax error : missing ',' before '&'
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\treeiksolvervel_wdls.hpp(75) : error C2327: 'KDL::TreeIkSolverVel_wdls::MatrixXd' : is not a type name, static, or enumerator
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\treeiksolvervel_wdls.hpp(75) : error C4430: missing type specifier - int assumed. Note: C++ does not support default-int
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\treeiksolvervel_wdls.hpp(75) : error C2143: syntax error : missing ';' before '&'
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\treeiksolvervel_wdls.hpp(75) : error C2086: 'const int KDL::TreeIkSolverVel_wdls::MatrixXd' : redefinition
1> c:\projects\freecad\src\mod\robot\app\kdl_cp\treeiksolvervel_wdls.hpp(49) : see declaration of 'KDL::TreeIkSolverVel_wdls::MatrixXd'
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\treeiksolvervel_wdls.hpp(75) : error C4430: missing type specifier - int assumed. Note: C++ does not support default-int
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\treeiksolvervel_wdls.hpp(75) : warning C4183: 'getWeightTS': missing return type; assumed to be a member function returning 'int'
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\treeiksolvervel_wdls.hpp(85) : error C2327: 'KDL::TreeIkSolverVel_wdls::MatrixXd' : is not a type name, static, or enumerator
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\treeiksolvervel_wdls.hpp(85) : error C2146: syntax error : missing ';' before identifier 'J'
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\treeiksolvervel_wdls.hpp(85) : error C4430: missing type specifier - int assumed. Note: C++ does not support default-int
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\treeiksolvervel_wdls.hpp(85) : error C4430: missing type specifier - int assumed. Note: C++ does not support default-int
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\treeiksolvervel_wdls.hpp(85) : error C4430: missing type specifier - int assumed. Note: C++ does not support default-int
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\treeiksolvervel_wdls.hpp(85) : error C4430: missing type specifier - int assumed. Note: C++ does not support default-int
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\treeiksolvervel_wdls.hpp(85) : error C4430: missing type specifier - int assumed. Note: C++ does not support default-int
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\treeiksolvervel_wdls.hpp(85) : error C4430: missing type specifier - int assumed. Note: C++ does not support default-int
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\treeiksolvervel_wdls.hpp(85) : error C4430: missing type specifier - int assumed. Note: C++ does not support default-int
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\treeiksolvervel_wdls.hpp(85) : error C4430: missing type specifier - int assumed. Note: C++ does not support default-int
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\treeiksolvervel_wdls.hpp(85) : error C4430: missing type specifier - int assumed. Note: C++ does not support default-int
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\treeiksolvervel_wdls.hpp(85) : error C4430: missing type specifier - int assumed. Note: C++ does not support default-int
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\treeiksolvervel_wdls.hpp(86) : error C2146: syntax error : missing ';' before identifier 't'
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\treeiksolvervel_wdls.hpp(86) : error C4430: missing type specifier - int assumed. Note: C++ does not support default-int
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\treeiksolvervel_wdls.hpp(86) : error C4430: missing type specifier - int assumed. Note: C++ does not support default-int
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\treeiksolvervel_wdls.hpp(86) : error C4430: missing type specifier - int assumed. Note: C++ does not support default-int
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\treeiksolvervel_wdls.hpp(86) : error C4430: missing type specifier - int assumed. Note: C++ does not support default-int
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\treeiksolvervel_wdls.hpp(86) : error C4430: missing type specifier - int assumed. Note: C++ does not support default-int
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\treeiksolvervel_wdls.hpp(86) : error C4430: missing type specifier - int assumed. Note: C++ does not support default-int
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\treeiksolvervel_wdls.hpp(49) : error C2065: 'Wq' : undeclared identifier
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\treeiksolvervel_wdls.hpp(75) : error C2065: 'Wy' : undeclared identifier
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_HH.hpp(31) : error C4430: missing type specifier - int assumed. Note: C++ does not support default-int
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_HH.hpp(70) : error C4430: missing type specifier - int assumed. Note: C++ does not support default-int
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_HH.hpp(70) : error C2143: syntax error : missing ',' before '&'
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\treeiksolvervel_wdls.cpp(16) : error C2653: 'MatrixXd' : is not a class or namespace name
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\treeiksolvervel_wdls.cpp(16) : error C3861: 'Zero': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\treeiksolvervel_wdls.cpp(17) : error C2653: 'MatrixXd' : is not a class or namespace name
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\treeiksolvervel_wdls.cpp(17) : error C2065: 'J' : undeclared identifier
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\treeiksolvervel_wdls.cpp(17) : error C2228: left of '.rows' must have class/struct/union
1> type is ''unknown-type''
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\treeiksolvervel_wdls.cpp(17) : error C2065: 'J' : undeclared identifier
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\treeiksolvervel_wdls.cpp(17) : error C2228: left of '.rows' must have class/struct/union
1> type is ''unknown-type''
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\treeiksolvervel_wdls.cpp(17) : error C3861: 'Identity': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\treeiksolvervel_wdls.cpp(18) : error C2653: 'MatrixXd' : is not a class or namespace name
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\treeiksolvervel_wdls.cpp(18) : error C2065: 'J' : undeclared identifier
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\treeiksolvervel_wdls.cpp(18) : error C2228: left of '.cols' must have class/struct/union
1> type is ''unknown-type''
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\treeiksolvervel_wdls.cpp(18) : error C2065: 'J' : undeclared identifier
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\treeiksolvervel_wdls.cpp(18) : error C2228: left of '.cols' must have class/struct/union
1> type is ''unknown-type''
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\treeiksolvervel_wdls.cpp(18) : error C3861: 'Identity': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\treeiksolvervel_wdls.cpp(19) : error C2065: 'J' : undeclared identifier
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\treeiksolvervel_wdls.cpp(19) : error C2228: left of '.rows' must have class/struct/union
1> type is ''unknown-type''
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\treeiksolvervel_wdls.cpp(19) : error C2065: 'J' : undeclared identifier
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\treeiksolvervel_wdls.cpp(19) : error C2228: left of '.cols' must have class/struct/union
1> type is ''unknown-type''
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\treeiksolvervel_wdls.cpp(19) : error C2065: 'J' : undeclared identifier
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\treeiksolvervel_wdls.cpp(19) : error C2228: left of '.rows' must have class/struct/union
1> type is ''unknown-type''
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\treeiksolvervel_wdls.cpp(19) : error C2065: 'J' : undeclared identifier
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\treeiksolvervel_wdls.cpp(19) : error C2228: left of '.cols' must have class/struct/union
1> type is ''unknown-type''
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\treeiksolvervel_wdls.cpp(20) : error C2653: 'MatrixXd' : is not a class or namespace name
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\treeiksolvervel_wdls.cpp(20) : error C2065: 'J' : undeclared identifier
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\treeiksolvervel_wdls.cpp(20) : error C2228: left of '.rows' must have class/struct/union
1> type is ''unknown-type''
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\treeiksolvervel_wdls.cpp(20) : error C2065: 'J' : undeclared identifier
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\treeiksolvervel_wdls.cpp(20) : error C2228: left of '.cols' must have class/struct/union
1> type is ''unknown-type''
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\treeiksolvervel_wdls.cpp(20) : error C3861: 'Identity': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\treeiksolvervel_wdls.cpp(21) : error C2653: 'MatrixXd' : is not a class or namespace name
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\treeiksolvervel_wdls.cpp(21) : error C2065: 'J' : undeclared identifier
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\treeiksolvervel_wdls.cpp(21) : error C2228: left of '.cols' must have class/struct/union
1> type is ''unknown-type''
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\treeiksolvervel_wdls.cpp(21) : error C2065: 'J' : undeclared identifier
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\treeiksolvervel_wdls.cpp(21) : error C2228: left of '.cols' must have class/struct/union
1> type is ''unknown-type''
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\treeiksolvervel_wdls.cpp(21) : error C3861: 'Identity': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\treeiksolvervel_wdls.cpp(22) : error C2065: 'J' : undeclared identifier
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\treeiksolvervel_wdls.cpp(22) : error C2228: left of '.rows' must have class/struct/union
1> type is ''unknown-type''
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\treeiksolvervel_wdls.cpp(22) : error C2065: 'J' : undeclared identifier
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\treeiksolvervel_wdls.cpp(22) : error C2228: left of '.rows' must have class/struct/union
1> type is ''unknown-type''
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\treeiksolvervel_wdls.cpp(22) : error C2065: 'J' : undeclared identifier
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\treeiksolvervel_wdls.cpp(22) : error C2228: left of '.cols' must have class/struct/union
1> type is ''unknown-type''
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\treeiksolvervel_wdls.cpp(22) : error C2065: 'J' : undeclared identifier
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\treeiksolvervel_wdls.cpp(22) : error C2228: left of '.cols' must have class/struct/union
1> type is ''unknown-type''
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\treeiksolvervel_wdls.cpp(23) : error C2653: 'VectorXd' : is not a class or namespace name
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\treeiksolvervel_wdls.cpp(23) : error C2065: 'J' : undeclared identifier
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\treeiksolvervel_wdls.cpp(23) : error C2228: left of '.rows' must have class/struct/union
1> type is ''unknown-type''
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\treeiksolvervel_wdls.cpp(23) : error C3861: 'Zero': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\treeiksolvervel_wdls.cpp(23) : error C2653: 'VectorXd' : is not a class or namespace name
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\treeiksolvervel_wdls.cpp(23) : error C2065: 'J' : undeclared identifier
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\treeiksolvervel_wdls.cpp(23) : error C2228: left of '.rows' must have class/struct/union
1> type is ''unknown-type''
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\treeiksolvervel_wdls.cpp(23) : error C3861: 'Zero': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\treeiksolvervel_wdls.cpp(24) : error C2653: 'VectorXd' : is not a class or namespace name
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\treeiksolvervel_wdls.cpp(24) : error C2065: 'J' : undeclared identifier
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\treeiksolvervel_wdls.cpp(24) : error C2228: left of '.cols' must have class/struct/union
1> type is ''unknown-type''
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\treeiksolvervel_wdls.cpp(24) : error C3861: 'Zero': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\treeiksolvervel_wdls.cpp(25) : error C2653: 'VectorXd' : is not a class or namespace name
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\treeiksolvervel_wdls.cpp(25) : error C2065: 'J' : undeclared identifier
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\treeiksolvervel_wdls.cpp(25) : error C2228: left of '.cols' must have class/struct/union
1> type is ''unknown-type''
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\treeiksolvervel_wdls.cpp(25) : error C3861: 'Zero': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\treeiksolvervel_wdls.cpp(25) : error C2653: 'VectorXd' : is not a class or namespace name
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\treeiksolvervel_wdls.cpp(25) : error C2065: 'J' : undeclared identifier
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\treeiksolvervel_wdls.cpp(25) : error C2228: left of '.cols' must have class/struct/union
1> type is ''unknown-type''
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\treeiksolvervel_wdls.cpp(25) : error C3861: 'Zero': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\treeiksolvervel_wdls.cpp(26) : error C2758: 'KDL::TreeIkSolverVel_wdls::MatrixXd' : must be initialized in constructor base/member initializer list
1> c:\projects\freecad\src\mod\robot\app\kdl_cp\treeiksolvervel_wdls.hpp(49) : see declaration of 'KDL::TreeIkSolverVel_wdls::MatrixXd'
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\treeiksolvervel_wdls.cpp(26) : error C2614: 'KDL::TreeIkSolverVel_wdls' : illegal member initialization: 'S' is not a base or member
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\treeiksolvervel_wdls.cpp(26) : error C2614: 'KDL::TreeIkSolverVel_wdls' : illegal member initialization: 'tmp' is not a base or member
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\treeiksolvervel_wdls.cpp(26) : error C2614: 'KDL::TreeIkSolverVel_wdls' : illegal member initialization: 'qdot' is not a base or member
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\treeiksolvervel_wdls.cpp(26) : error C2614: 'KDL::TreeIkSolverVel_wdls' : illegal member initialization: 'Wy_t' is not a base or member
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\treeiksolvervel_wdls.cpp(26) : error C2614: 'KDL::TreeIkSolverVel_wdls' : illegal member initialization: 't' is not a base or member
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\treeiksolvervel_wdls.cpp(26) : error C2614: 'KDL::TreeIkSolverVel_wdls' : illegal member initialization: 'Wq_V' is not a base or member
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\treeiksolvervel_wdls.cpp(26) : error C2614: 'KDL::TreeIkSolverVel_wdls' : illegal member initialization: 'Wy_U' is not a base or member
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\treeiksolvervel_wdls.cpp(26) : error C2614: 'KDL::TreeIkSolverVel_wdls' : illegal member initialization: 'V' is not a base or member
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\treeiksolvervel_wdls.cpp(26) : error C2614: 'KDL::TreeIkSolverVel_wdls' : illegal member initialization: 'U' is not a base or member
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\treeiksolvervel_wdls.cpp(26) : error C2614: 'KDL::TreeIkSolverVel_wdls' : illegal member initialization: 'Wy_J_Wq' is not a base or member
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\treeiksolvervel_wdls.cpp(26) : error C2614: 'KDL::TreeIkSolverVel_wdls' : illegal member initialization: 'J_Wq' is not a base or member
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\treeiksolvervel_wdls.cpp(26) : error C2614: 'KDL::TreeIkSolverVel_wdls' : illegal member initialization: 'Wq' is not a base or member
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\treeiksolvervel_wdls.cpp(26) : error C2614: 'KDL::TreeIkSolverVel_wdls' : illegal member initialization: 'Wy' is not a base or member
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\treeiksolvervel_wdls.cpp(26) : error C2614: 'KDL::TreeIkSolverVel_wdls' : illegal member initialization: 'J' is not a base or member
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\treeiksolvervel_wdls.cpp(37) : error C4430: missing type specifier - int assumed. Note: C++ does not support default-int
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\treeiksolvervel_wdls.cpp(37) : error C2143: syntax error : missing ',' before '&'
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\treeiksolvervel_wdls.cpp(38) : error C2065: 'Wq' : undeclared identifier
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\treeiksolvervel_wdls.cpp(38) : error C2065: 'Mq' : undeclared identifier
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\treeiksolvervel_wdls.cpp(41) : error C4430: missing type specifier - int assumed. Note: C++ does not support default-int
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\treeiksolvervel_wdls.cpp(41) : error C2143: syntax error : missing ',' before '&'
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\treeiksolvervel_wdls.cpp(42) : error C2065: 'Wy' : undeclared identifier
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\treeiksolvervel_wdls.cpp(42) : error C2065: 'Mx' : undeclared identifier
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\treeiksolvervel_wdls.cpp(69) : error C2065: 'J' : undeclared identifier
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\treeiksolvervel_wdls.cpp(69) : error C2228: left of '.block' must have class/struct/union
1> type is ''unknown-type''
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\treeiksolvervel_wdls.cpp(71) : error C2065: 't' : undeclared identifier
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\treeiksolvervel_wdls.cpp(71) : error C2228: left of '.segment' must have class/struct/union
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\treeiksolvervel_wdls.cpp(71) : fatal error C1003: error count exceeds 100; stopping compilation
1>rotationalinertia.cpp
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\rotationalinertia.cpp(46) : error C2440: '<function-style-cast>' : cannot convert from 'const double [9]' to 'Eigen::Map<PlainObjectType>'
1> with
1> [
1> PlainObjectType=Eigen::Matrix3d
1> ]
1> No constructor could take the source type, or constructor overload resolution was ambiguous
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\rotationalinertia.cpp(46) : error C2440: '<function-style-cast>' : cannot convert from 'const double [3]' to 'Eigen::Map<PlainObjectType>'
1> with
1> [
1> PlainObjectType=Eigen::Vector3d
1> ]
1> No constructor could take the source type, or constructor overload resolution was ambiguous
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\rotationalinertia.cpp(52) : error C2440: '<function-style-cast>' : cannot convert from 'const double [9]' to 'Eigen::Map<PlainObjectType>'
1> with
1> [
1> PlainObjectType=Eigen::Matrix3d
1> ]
1> No constructor could take the source type, or constructor overload resolution was ambiguous
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\rotationalinertia.cpp(58) : error C2440: '<function-style-cast>' : cannot convert from 'const double [9]' to 'Eigen::Map<PlainObjectType>'
1> with
1> [
1> PlainObjectType=Eigen::Matrix3d
1> ]
1> No constructor could take the source type, or constructor overload resolution was ambiguous
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\rotationalinertia.cpp(58) : error C2440: '<function-style-cast>' : cannot convert from 'const double [9]' to 'Eigen::Map<PlainObjectType>'
1> with
1> [
1> PlainObjectType=Eigen::Matrix3d
1> ]
1> No constructor could take the source type, or constructor overload resolution was ambiguous
1>rigidbodyinertia.cpp
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\rigidbodyinertia.cpp(40) : error C2440: '<function-style-cast>' : cannot convert from 'const double [3]' to 'Eigen::Map<PlainObjectType,MapOptions>'
1> with
1> [
1> PlainObjectType=Eigen::Matrix<double,3,1>,
1> MapOptions=0
1> ]
1> No constructor could take the source type, or constructor overload resolution was ambiguous
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\rigidbodyinertia.cpp(40) : error C2512: 'Eigen::Matrix<_Scalar,_Rows,_Cols>::Matrix' : no appropriate default constructor available
1> with
1> [
1> _Scalar=double,
1> _Rows=3,
1> _Cols=1
1> ]
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\rigidbodyinertia.cpp(41) : error C2440: '<function-style-cast>' : cannot convert from 'const double [9]' to 'Eigen::Map<PlainObjectType>'
1> with
1> [
1> PlainObjectType=Eigen::Matrix3d
1> ]
1> No constructor could take the source type, or constructor overload resolution was ambiguous
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\rigidbodyinertia.cpp(63) : error C2440: '<function-style-cast>' : cannot convert from 'const double [3]' to 'Eigen::Map<PlainObjectType,MapOptions>'
1> with
1> [
1> PlainObjectType=Eigen::Matrix<double,3,1>,
1> MapOptions=0
1> ]
1> No constructor could take the source type, or constructor overload resolution was ambiguous
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\rigidbodyinertia.cpp(63) : error C2512: 'Eigen::Matrix<_Scalar,_Rows,_Cols>::Matrix' : no appropriate default constructor available
1> with
1> [
1> _Scalar=double,
1> _Rows=3,
1> _Cols=1
1> ]
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\rigidbodyinertia.cpp(69) : error C2440: '<function-style-cast>' : cannot convert from 'const double [9]' to 'Eigen::Map<PlainObjectType>'
1> with
1> [
1> PlainObjectType=Eigen::Matrix3d
1> ]
1> No constructor could take the source type, or constructor overload resolution was ambiguous
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\rigidbodyinertia.cpp(78) : error C2440: '<function-style-cast>' : cannot convert from 'const double [9]' to 'Eigen::Map<PlainObjectType>'
1> with
1> [
1> PlainObjectType=Eigen::Matrix3d
1> ]
1> No constructor could take the source type, or constructor overload resolution was ambiguous
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\rigidbodyinertia.cpp(78) : error C2512: 'Eigen::Matrix<_Scalar,_Rows,_Cols>::Matrix' : no appropriate default constructor available
1> with
1> [
1> _Scalar=double,
1> _Rows=3,
1> _Cols=3
1> ]
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\rigidbodyinertia.cpp(80) : error C2440: '<function-style-cast>' : cannot convert from 'const double [9]' to 'Eigen::Map<PlainObjectType>'
1> with
1> [
1> PlainObjectType=Eigen::Matrix3d
1> ]
1> No constructor could take the source type, or constructor overload resolution was ambiguous
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\rigidbodyinertia.cpp(90) : error C2440: '<function-style-cast>' : cannot convert from 'const double [3]' to 'Eigen::Map<PlainObjectType,MapOptions>'
1> with
1> [
1> PlainObjectType=Eigen::Matrix<double,3,1>,
1> MapOptions=0
1> ]
1> No constructor could take the source type, or constructor overload resolution was ambiguous
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\rigidbodyinertia.cpp(90) : error C2512: 'Eigen::Matrix<_Scalar,_Rows,_Cols>::Matrix' : no appropriate default constructor available
1> with
1> [
1> _Scalar=double,
1> _Rows=3,
1> _Cols=1
1> ]
1>jntspaceinertiamatrix.cpp
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\jntspaceinertiamatrix.cpp(28) : error C2143: syntax error : missing ';' before 'KDL::JntSpaceInertiaMatrix::{ctor}'
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\jntspaceinertiamatrix.cpp(28) : error C4430: missing type specifier - int assumed. Note: C++ does not support default-int
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\jntspaceinertiamatrix.cpp(72) : warning C4244: 'return' : conversion from '__int64' to 'unsigned int', possible loss of data
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\jntspaceinertiamatrix.cpp(77) : warning C4244: 'return' : conversion from '__int64' to 'unsigned int', possible loss of data
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\jntspaceinertiamatrix.cpp(103) : error C2039: 'lazy' : is not a member of 'Eigen::GeneralProduct<Lhs,Rhs,ProductType>'
1> with
1> [
1> Lhs=Eigen::Matrix<double,-1,-1>,
1> Rhs=Eigen::Matrix<double,-1,1>,
1> ProductType=4
1> ]
1>jntarray.cpp
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\jntarray.cpp(28) : error C2143: syntax error : missing ';' before 'KDL::JntArray::{ctor}'
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\jntarray.cpp(28) : error C4430: missing type specifier - int assumed. Note: C++ does not support default-int
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\jntarray.cpp(74) : warning C4244: 'return' : conversion from '__int64' to 'unsigned int', possible loss of data
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\jntarray.cpp(79) : warning C4244: 'return' : conversion from '__int64' to 'unsigned int', possible loss of data
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\jntarray.cpp(104) : error C2039: 'lazy' : is not a member of 'Eigen::CoeffBasedProduct<LhsNested,RhsNested,NestingFlags>'
1> with
1> [
1> LhsNested=const Eigen::Matrix<double,6,-1> &,
1> RhsNested=const Eigen::Matrix<double,-1,1> &,
1> NestingFlags=6
1> ]
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\jntarray.cpp(104) : error C2512: 'Eigen::Matrix<_Scalar,_Rows,_Cols>::Matrix' : no appropriate default constructor available
1> with
1> [
1> _Scalar=double,
1> _Rows=6,
1> _Cols=1
1> ]
1>jacobian.cpp
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\jacobian.cpp(28) : error C2143: syntax error : missing ';' before 'KDL::Jacobian::{ctor}'
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\jacobian.cpp(28) : error C4430: missing type specifier - int assumed. Note: C++ does not support default-int
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\jacobian.cpp(72) : warning C4244: 'return' : conversion from '__int64' to 'unsigned int', possible loss of data
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\jacobian.cpp(77) : warning C4244: 'return' : conversion from '__int64' to 'unsigned int', possible loss of data
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\jacobian.cpp(150) : error C2039: 'start' : is not a member of 'Eigen::Block<XprType,BlockRows,BlockCols,InnerPanel>'
1> with
1> [
1> XprType=Eigen::Matrix<double,6,-1>,
1> BlockRows=6,
1> BlockCols=1,
1> InnerPanel=true
1> ]
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\jacobian.cpp(150) : error C2059: syntax error : ')'
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\jacobian.cpp(150) : error C2065: 'Vector3d' : undeclared identifier
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\jacobian.cpp(151) : error C2039: 'end' : is not a member of 'Eigen::Block<XprType,BlockRows,BlockCols,InnerPanel>'
1> with
1> [
1> XprType=Eigen::Matrix<double,6,-1>,
1> BlockRows=6,
1> BlockCols=1,
1> InnerPanel=true
1> ]
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\jacobian.cpp(151) : error C2059: syntax error : ')'
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\jacobian.cpp(151) : error C2065: 'Vector3d' : undeclared identifier
1>chainiksolvervel_wdls.cpp
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_HH.hpp(31) : error C4430: missing type specifier - int assumed. Note: C++ does not support default-int
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_HH.hpp(70) : error C4430: missing type specifier - int assumed. Note: C++ does not support default-int
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_HH.hpp(70) : error C2143: syntax error : missing ',' before '&'
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\chainiksolvervel_wdls.cpp(32) : error C2653: 'MatrixXd' : is not a class or namespace name
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\chainiksolvervel_wdls.cpp(32) : error C3861: 'Zero': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\chainiksolvervel_wdls.cpp(33) : error C2653: 'VectorXd' : is not a class or namespace name
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\chainiksolvervel_wdls.cpp(33) : error C3861: 'Zero': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\chainiksolvervel_wdls.cpp(34) : error C2653: 'MatrixXd' : is not a class or namespace name
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\chainiksolvervel_wdls.cpp(34) : error C3861: 'Zero': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\chainiksolvervel_wdls.cpp(37) : error C2653: 'VectorXd' : is not a class or namespace name
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\chainiksolvervel_wdls.cpp(37) : error C3861: 'Zero': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\chainiksolvervel_wdls.cpp(38) : error C2653: 'MatrixXd' : is not a class or namespace name
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\chainiksolvervel_wdls.cpp(38) : error C3861: 'Zero': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\chainiksolvervel_wdls.cpp(39) : error C2653: 'MatrixXd' : is not a class or namespace name
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\chainiksolvervel_wdls.cpp(39) : error C3861: 'Zero': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\chainiksolvervel_wdls.cpp(40) : error C2653: 'MatrixXd' : is not a class or namespace name
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\chainiksolvervel_wdls.cpp(40) : error C3861: 'Zero': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\chainiksolvervel_wdls.cpp(41) : error C2653: 'MatrixXd' : is not a class or namespace name
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\chainiksolvervel_wdls.cpp(41) : error C3861: 'Zero': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\chainiksolvervel_wdls.cpp(42) : error C2653: 'MatrixXd' : is not a class or namespace name
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\chainiksolvervel_wdls.cpp(42) : error C3861: 'Zero': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\chainiksolvervel_wdls.cpp(43) : error C2653: 'MatrixXd' : is not a class or namespace name
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\chainiksolvervel_wdls.cpp(43) : error C3861: 'Identity': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\chainiksolvervel_wdls.cpp(44) : error C2653: 'MatrixXd' : is not a class or namespace name
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\chainiksolvervel_wdls.cpp(44) : error C3861: 'Identity': identifier not found
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\chainiksolvervel_wdls.cpp(81) : error C2039: 'lazy' : is not a member of 'Eigen::GeneralProduct<Lhs,Rhs,ProductType>'
1> with
1> [
1> Lhs=Eigen::Matrix<double,6,-1>,
1> Rhs=Eigen::Matrix<double,-1,-1>,
1> ProductType=5
1> ]
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\chainiksolvervel_wdls.cpp(82) : error C2039: 'lazy' : is not a member of 'Eigen::GeneralProduct<Lhs,Rhs,ProductType>'
1> with
1> [
1> Lhs=Eigen::Matrix<double,-1,-1>,
1> Rhs=Eigen::Matrix<double,-1,-1>,
1> ProductType=5
1> ]
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\chainiksolvervel_wdls.cpp(85) : error C2660: 'KDL::svd_eigen_HH' : function does not take 6 arguments
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\chainiksolvervel_wdls.cpp(88) : error C2039: 'corner' : is not a member of 'Eigen::Matrix<_Scalar,_Rows,_Cols>'
1> with
1> [
1> _Scalar=double,
1> _Rows=-1,
1> _Cols=-1
1> ]
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\chainiksolvervel_wdls.cpp(88) : error C2228: left of '.lazy' must have class/struct/union
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\chainiksolvervel_wdls.cpp(89) : error C2039: 'lazy' : is not a member of 'Eigen::GeneralProduct<Lhs,Rhs,ProductType>'
1> with
1> [
1> Lhs=Eigen::Matrix<double,-1,-1>,
1> Rhs=Eigen::Matrix<double,-1,-1>,
1> ProductType=5
1> ]
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\chainiksolvervel_wdls.cpp(115) : error C2039: 'lazy' : is not a member of 'Eigen::GeneralProduct<Lhs,Rhs,ProductType>'
1> with
1> [
1> Lhs=Eigen::Matrix<double,-1,-1>,
1> Rhs=Eigen::Matrix<double,-1,1>,
1> ProductType=4
1> ]
1>chainiksolvervel_pinv_givens.cpp
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\chainiksolvervel_pinv_givens.hpp(11) : error C4430: missing type specifier - int assumed. Note: C++ does not support default-int
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\chainiksolvervel_pinv_givens.hpp(49) : error C2146: syntax error : missing ';' before identifier 'jac_eigen'
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\chainiksolvervel_pinv_givens.hpp(49) : error C4430: missing type specifier - int assumed. Note: C++ does not support default-int
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\chainiksolvervel_pinv_givens.hpp(49) : error C4430: missing type specifier - int assumed. Note: C++ does not support default-int
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\chainiksolvervel_pinv_givens.hpp(49) : error C4430: missing type specifier - int assumed. Note: C++ does not support default-int
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\chainiksolvervel_pinv_givens.hpp(49) : error C4430: missing type specifier - int assumed. Note: C++ does not support default-int
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\chainiksolvervel_pinv_givens.hpp(49) : error C4430: missing type specifier - int assumed. Note: C++ does not support default-int
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\chainiksolvervel_pinv_givens.hpp(50) : error C2146: syntax error : missing ';' before identifier 'S'
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\chainiksolvervel_pinv_givens.hpp(50) : error C4430: missing type specifier - int assumed. Note: C++ does not support default-int
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\chainiksolvervel_pinv_givens.hpp(50) : error C4430: missing type specifier - int assumed. Note: C++ does not support default-int
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\chainiksolvervel_pinv_givens.hpp(50) : error C4430: missing type specifier - int assumed. Note: C++ does not support default-int
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\chainiksolvervel_pinv_givens.hpp(50) : error C4430: missing type specifier - int assumed. Note: C++ does not support default-int
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\chainiksolvervel_pinv_givens.hpp(50) : error C4430: missing type specifier - int assumed. Note: C++ does not support default-int
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\chainiksolvervel_pinv_givens.hpp(50) : error C4430: missing type specifier - int assumed. Note: C++ does not support default-int
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\chainiksolvervel_pinv_givens.hpp(50) : error C4430: missing type specifier - int assumed. Note: C++ does not support default-int
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\chainiksolvervel_pinv_givens.hpp(50) : error C4430: missing type specifier - int assumed. Note: C++ does not support default-int
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(31) : error C2143: syntax error : missing ';' before 'namespace'
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(31) : error C4430: missing type specifier - int assumed. Note: C++ does not support default-int
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(31) : error C2086: 'int USING_PART_OF_NAMESPACE_EIGEN' : redefinition
1> c:\projects\freecad\src\mod\robot\app\kdl_cp\chainiksolvervel_pinv_givens.hpp(11) : see declaration of 'USING_PART_OF_NAMESPACE_EIGEN'
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(33) : error C4430: missing type specifier - int assumed. Note: C++ does not support default-int
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(33) : error C2143: syntax error : missing ',' before '&'
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(40) : error C2065: 'toggle' : undeclared identifier
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(42) : error C2065: 'B' : undeclared identifier
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(42) : error C2065: 'A' : undeclared identifier
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(42) : error C2065: 'V' : undeclared identifier
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(42) : error C2228: left of '.lazy' must have class/struct/union
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(47) : error C2065: 'B' : undeclared identifier
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(47) : error C2228: left of '.cols' must have class/struct/union
1> type is ''unknown-type''
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(48) : error C2065: 'B' : undeclared identifier
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(48) : error C2228: left of '.cols' must have class/struct/union
1> type is ''unknown-type''
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(50) : error C2065: 'B' : undeclared identifier
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(50) : error C2228: left of '.col' must have class/struct/union
1> type is ''unknown-type''
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(50) : error C2228: left of '.dot' must have class/struct/union
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(50) : error C2065: 'B' : undeclared identifier
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(50) : error C2228: left of '.col' must have class/struct/union
1> type is ''unknown-type''
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(51) : error C2065: 'B' : undeclared identifier
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(51) : error C2228: left of '.col' must have class/struct/union
1> type is ''unknown-type''
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(51) : error C2228: left of '.dot' must have class/struct/union
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(51) : error C2065: 'B' : undeclared identifier
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(51) : error C2228: left of '.col' must have class/struct/union
1> type is ''unknown-type''
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(52) : error C2065: 'B' : undeclared identifier
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(52) : error C2228: left of '.col' must have class/struct/union
1> type is ''unknown-type''
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(52) : error C2228: left of '.dot' must have class/struct/union
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(52) : error C2065: 'B' : undeclared identifier
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(52) : error C2228: left of '.col' must have class/struct/union
1> type is ''unknown-type''
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(57) : error C2065: 'treshold' : undeclared identifier
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(74) : error C2065: 'tempi' : undeclared identifier
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(74) : error C2065: 'B' : undeclared identifier
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(74) : error C2228: left of '.col' must have class/struct/union
1> type is ''unknown-type''
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(74) : error C2065: 'B' : undeclared identifier
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(74) : error C2228: left of '.col' must have class/struct/union
1> type is ''unknown-type''
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(75) : error C2065: 'B' : undeclared identifier
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(75) : error C2228: left of '.col' must have class/struct/union
1> type is ''unknown-type''
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(75) : error C2065: 'B' : undeclared identifier
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(75) : error C2228: left of '.col' must have class/struct/union
1> type is ''unknown-type''
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(75) : error C2065: 'B' : undeclared identifier
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(75) : error C2228: left of '.col' must have class/struct/union
1> type is ''unknown-type''
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(76) : error C2065: 'B' : undeclared identifier
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(76) : error C2228: left of '.col' must have class/struct/union
1> type is ''unknown-type''
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(76) : error C2065: 'tempi' : undeclared identifier
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(79) : error C2065: 'tempi' : undeclared identifier
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(79) : error C2228: left of '.start' must have class/struct/union
1> type is ''unknown-type''
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(79) : error C2065: 'V' : undeclared identifier
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(79) : error C2228: left of '.rows' must have class/struct/union
1> type is ''unknown-type''
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(79) : error C2065: 'V' : undeclared identifier
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(79) : error C2228: left of '.col' must have class/struct/union
1> type is ''unknown-type''
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(79) : error C2065: 'V' : undeclared identifier
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(79) : error C2228: left of '.col' must have class/struct/union
1> type is ''unknown-type''
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(80) : error C2065: 'V' : undeclared identifier
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(80) : error C2228: left of '.col' must have class/struct/union
1> type is ''unknown-type''
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(80) : error C2065: 'V' : undeclared identifier
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(80) : error C2228: left of '.col' must have class/struct/union
1> type is ''unknown-type''
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(80) : error C2065: 'V' : undeclared identifier
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(80) : error C2228: left of '.col' must have class/struct/union
1> type is ''unknown-type''
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(81) : error C2065: 'V' : undeclared identifier
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(81) : error C2228: left of '.col' must have class/struct/union
1> type is ''unknown-type''
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(81) : error C2065: 'tempi' : undeclared identifier
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(81) : error C2228: left of '.start' must have class/struct/union
1> type is ''unknown-type''
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(81) : error C2065: 'V' : undeclared identifier
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(81) : error C2228: left of '.rows' must have class/struct/union
1> type is ''unknown-type''
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(88) : error C2065: 'U' : undeclared identifier
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(88) : error C2228: left of '.rows' must have class/struct/union
1> type is ''unknown-type''
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(89) : error C2065: 'B' : undeclared identifier
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(89) : error C2228: left of '.cols' must have class/struct/union
1> type is ''unknown-type''
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(90) : error C2065: 'B' : undeclared identifier
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(90) : error C2228: left of '.col' must have class/struct/union
1> type is ''unknown-type''
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(90) : error C2228: left of '.dot' must have class/struct/union
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(90) : error C2065: 'B' : undeclared identifier
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(90) : error C2228: left of '.col' must have class/struct/union
1> type is ''unknown-type''
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(92) : error C2065: 'U' : undeclared identifier
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(92) : error C2228: left of '.col' must have class/struct/union
1> type is ''unknown-type''
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(92) : error C2065: 'B' : undeclared identifier
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(92) : error C2228: left of '.col' must have class/struct/union
1> type is ''unknown-type''
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(94) : error C2065: 'U' : undeclared identifier
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(94) : error C2228: left of '.col' must have class/struct/union
1> type is ''unknown-type''
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(94) : error C2065: 'B' : undeclared identifier
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(94) : error C2228: left of '.col' must have class/struct/union
1> type is ''unknown-type''
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(95) : error C3861: 'S': identifier not found
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(98) : error C2065: 'U' : undeclared identifier
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(98) : error C2228: left of '.col' must have class/struct/union
1> type is ''unknown-type''
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(98) : error C2065: 'tempi' : undeclared identifier
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(106) : error C2065: 'B' : undeclared identifier
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(106) : error C2065: 'U' : undeclared identifier
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(106) : error C2228: left of '.transpose' must have class/struct/union
1> type is ''unknown-type''
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(106) : error C2065: 'A' : undeclared identifier
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(106) : error C2228: left of '.lazy' must have class/struct/union
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(111) : error C2065: 'B' : undeclared identifier
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(111) : error C2228: left of '.cols' must have class/struct/union
1> type is ''unknown-type''
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(112) : error C2065: 'B' : undeclared identifier
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(112) : error C2228: left of '.cols' must have class/struct/union
1> type is ''unknown-type''
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(114) : error C2065: 'B' : undeclared identifier
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(114) : error C2228: left of '.row' must have class/struct/union
1> type is ''unknown-type''
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(114) : error C2228: left of '.dot' must have class/struct/union
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(114) : error C2065: 'B' : undeclared identifier
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(114) : error C2228: left of '.row' must have class/struct/union
1> type is ''unknown-type''
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(115) : error C2065: 'B' : undeclared identifier
1>c:\projects\freecad\src\mod\robot\app\kdl_cp\utilities/svd_eigen_Macie.hpp(115) : fatal error C1003: error count exceeds 100; stopping compilation
1>articulatedbodyinertia.cpp
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\articulatedbodyinertia.cpp(32) : error C2039: 'part' : is not a member of 'Eigen::Matrix<_Scalar,_Rows,_Cols>'
1> with
1> [
1> _Scalar=double,
1> _Rows=3,
1> _Cols=3
1> ]
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\articulatedbodyinertia.cpp(32) : error C2059: syntax error : ')'
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\articulatedbodyinertia.cpp(33) : error C2039: 'part' : is not a member of 'Eigen::Matrix<_Scalar,_Rows,_Cols>'
1> with
1> [
1> _Scalar=double,
1> _Rows=3,
1> _Cols=3
1> ]
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\articulatedbodyinertia.cpp(33) : error C2059: syntax error : ')'
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\articulatedbodyinertia.cpp(46) : error C2039: 'part' : is not a member of 'Eigen::Matrix<_Scalar,_Rows,_Cols>'
1> with
1> [
1> _Scalar=double,
1> _Rows=3,
1> _Cols=3
1> ]
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\articulatedbodyinertia.cpp(46) : error C2059: syntax error : ')'
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\articulatedbodyinertia.cpp(47) : error C2039: 'part' : is not a member of 'Eigen::Matrix<_Scalar,_Rows,_Cols>'
1> with
1> [
1> _Scalar=double,
1> _Rows=3,
1> _Cols=3
1> ]
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\articulatedbodyinertia.cpp(47) : error C2059: syntax error : ')'
1>..\..\..\..\..\src\Mod\Robot\App\kdl_cp\articulatedbodyinertia.cpp(93) : error C2664: 'Eigen::Map<PlainObjectType,MapOptions>::Map(double *,const StrideType &)' : cannot convert parameter 1 from 'const double [9]' to 'double *'
1> with
1> [
1> PlainObjectType=Eigen::Matrix<double,3,3>,
1> MapOptions=0,
1> StrideType=Eigen::Stride<0,0>
1> ]
1> Conversion loses qualifiers
1>Generating Code...
1>Build log was saved at "file://c:\Projects\FreeCAD\x64\src\Mod\Robot\App\Robot.dir\Debug\BuildLog.htm"
1>Robot - 421 error(s), 9 warning(s)
2>------ Skipped Build: Project: INSTALL, Configuration: Debug x64 ------
2>Project not selected to build for this solution configuration
========== Build: 0 succeeded, 1 failed, 49 up-to-date, 1 skipped ==========

wmayer

2011-07-26 11:38

administrator   ~0000947

According to [1] setting the define EIGEN2_SUPPORT fixes the build errors.

[1] http://eigen.tuxfamily.org/dox/Eigen2ToEigen3.html

wmayer

2011-07-28 07:05

administrator   ~0000952

Fixed by setting EIGEN2_SUPPORT

Issue History

Date Modified Username Field Change
2011-07-25 19:14 wmayer New Issue
2011-07-25 19:14 wmayer Assigned To => Jriegel
2011-07-25 19:14 wmayer Status new => assigned
2011-07-26 11:18 wmayer Note Added: 0000945
2011-07-26 11:38 wmayer Note Added: 0000947
2011-07-28 07:05 wmayer Note Added: 0000952
2011-07-28 07:05 wmayer Status assigned => closed
2011-07-28 07:05 wmayer Resolution open => fixed
2011-07-28 07:05 wmayer Fixed in Version => 0.12